Bug 853409 (CVE-2012-4377)

Summary: CVE-2012-4377 mediawiki: Stored XSS via a File::link to a non-existing image
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: axel.thimm, extras-orphan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mediawiki 1.19.2, mediawiki 1.18.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-19 21:56:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 853446    
Bug Blocks:    

Description Jan Lieskovsky 2012-08-31 12:46:32 UTC
A stored cross-site scripting (XSS) flaw was found in the way MediaWiki, a wiki engine, sanitized comments when a File::link tag to an non-existent image was rendered. A remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or web script injection.

References:
[1] http://www.gossamer-threads.com/lists/wiki/mediawiki/295767

Upstream bug:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=39700

Upstream patch against the 1.19 version:
[3] https://bugzilla.wikimedia.org/show_bug.cgi?id=39700#c11

Upstream patch against the 1.18 version:
[4] https://bugzilla.wikimedia.org/show_bug.cgi?id=39700#c12

Comment 1 Jan Lieskovsky 2012-08-31 12:48:36 UTC
This issue affects the versions of the mediawiki package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue did NOT affect the version of the mediawiki package, as shipped with Fedora EPEL 5.

Comment 2 Jan Lieskovsky 2012-08-31 14:37:08 UTC
CVE request:
http://www.openwall.com/lists/oss-security/2012/08/31/6

Comment 3 Jan Lieskovsky 2012-08-31 14:39:35 UTC
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 853446]

Comment 4 Jan Lieskovsky 2012-09-03 08:23:22 UTC
The CVE identifier of CVE-2012-4377 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/08/31/10